/buildops-master-data | Type: Application | PCID required: Yes
Tools
buildops-master-data_batch_activate_employees
Batch activate employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
buildops-master-data_batch_create_employees
Batch create Employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"email": {
"type": "string",
"description": "Work email of the employee"
},
"userName": {
"type": "string",
"description": "Identifying userName of Employee"
},
"userTitle": {
"type": "string",
"description": "Overrides title from Role if not blank"
},
"firstName": {
"type": "string",
"description": "First Name"
},
"lastName": {
"type": "string",
"description": "Last Name"
},
"appRoleId": {
"type": "string",
"format": "uuid",
"description": "App Role Id"
},
"labourRateGroupId": {
"type": "string",
"format": "uuid",
"description": "Labour Rate Group Id"
},
"labourTypeId": {
"type": "string",
"format": "uuid",
"description": "Labour Type Id"
},
"personalEmail": {
"type": "string",
"format": "email",
"description": "Personal Email"
},
"cellPhone": {
"type": "string",
"description": "Cell Phone"
},
"landlinePhone": {
"type": "string",
"description": "Landline Phone"
},
"code": {
"type": "string",
"description": "The code value"
},
"accountingRefId": {
"type": "string",
"format": "uuid",
"description": "Accounting Ref Id"
},
"isTech": {
"type": "boolean",
"description": "Is Tech"
},
"isSales": {
"type": "boolean",
"description": "Is Sales"
},
"isDispatcher": {
"type": "boolean",
"description": "Is Dispatcher"
},
"aiOptimizationDisabled": {
"type": "boolean",
"description": "Ai Optimization Disabled"
},
"departments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
}
}
},
"description": "The departments value"
},
"personnelPayrollHourRates": {
"type": "array",
"items": {
"type": "object",
"properties": {
"hourTypeId": {
"type": "string"
},
"cost": {
"type": "number"
}
}
},
"description": "Personnel Payroll Hour Rates"
},
"labourRateModifiers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
}
}
},
"description": "Labour Rate Modifiers"
},
"contactAddresses": {
"type": "array",
"items": {
"type": "object",
"properties": {
"addressLine1": {
"type": "string"
},
"addressLine2": {
"type": "string"
},
"city": {
"type": "string"
},
"state": {
"type": "string"
},
"zipcode": {
"type": "string"
},
"latitude": {
"type": "number"
},
"longitude": {
"type": "number"
}
}
},
"description": "Contact Addresses"
},
"enableMfa": {
"type": "boolean",
"description": "Enable Employee-level MFA only if you have MFA set up for the tenant"
}
},
"required": [
"appRoleId",
"email",
"firstName",
"labourRateGroupId",
"labourTypeId",
"lastName",
"userName"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
buildops-master-data_batch_deactivate_employees
Batch deactivate employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
buildops-master-data_batch_disable_login_for_employees
Disable login for employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
buildops-master-data_batch_enable_login_for_employees
Enable login for employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
buildops-master-data_batch_invite_employees
Batch invite employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
buildops-master-data_batch_resent_invite_email_to_employees
Resend invite emails to employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
buildops-master-data_batch_update_employees
Batch update Employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "The id value"
},
"firstName": {
"type": "string",
"description": "First Name"
},
"lastName": {
"type": "string",
"description": "Last Name"
},
"userTitle": {
"type": "string",
"description": "User Title"
},
"labourRateGroupId": {
"type": "string",
"format": "uuid",
"description": "Labour Rate Group Id"
},
"labourTypeId": {
"type": "string",
"format": "uuid",
"description": "Labour Type Id"
},
"departments": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
}
}
},
"description": "The departments value"
},
"contactAddresses": {
"type": "array",
"items": {
"type": "object",
"properties": {
"addressLine1": {
"type": "string"
},
"addressLine2": {
"type": "string"
},
"city": {
"type": "string"
},
"state": {
"type": "string"
},
"zipcode": {
"type": "string"
},
"latitude": {
"type": "number"
},
"longitude": {
"type": "number"
}
}
},
"description": "Contact Addresses"
},
"personalEmail": {
"type": "string",
"format": "email",
"description": "Personal Email"
},
"cellPhone": {
"type": "string",
"description": "Cell Phone"
},
"landlinePhone": {
"type": "string",
"description": "Landline Phone"
},
"code": {
"type": "string",
"description": "The code value"
},
"accountingRefId": {
"type": "string",
"format": "uuid",
"description": "Accounting Ref Id"
},
"isTech": {
"type": "boolean",
"description": "Is Tech"
},
"isSales": {
"type": "boolean",
"description": "Is Sales"
},
"isDispatcher": {
"type": "boolean",
"description": "Is Dispatcher"
},
"aiOptimizationDisabled": {
"type": "boolean",
"description": "Ai Optimization Disabled"
},
"enableMfa": {
"type": "boolean",
"description": "Enable Mfa"
}
},
"required": [
"id"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
buildops-master-data_batch_update_passwords_sync
Update passwords Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"employeeId": {
"type": "string",
"format": "uuid",
"description": "Employee Id"
},
"newPassword": {
"type": "string",
"description": "New Password"
}
},
"required": [
"employeeId",
"newPassword"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
buildops-master-data_batch_update_usernames_or_emails_sync
Update usernames or emails Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"employeeId": {
"type": "string",
"description": "Employee Id"
},
"newUsername": {
"type": "string",
"description": "New username for the employee"
},
"newEmail": {
"type": "string",
"description": "New work email for the employee"
}
},
"required": [
"employeeId"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
buildops-master-data_delete_v1_customers_id_tags_tag_id
Disassociate a Customer Tag for a Customer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Customer ID |
tagId | string | Yes | — | Tag ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Customer ID"
},
"tagId": {
"type": "string",
"description": "Tag ID"
}
},
"required": [
"PCID",
"id",
"tagId"
]
}
buildops-master-data_fetch_employees_by_email
Fetch employees by email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
email | string | Yes | — | The email value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"email": {
"type": "string",
"description": "The email value"
}
},
"required": [
"PCID",
"email"
]
}
buildops-master-data_fetch_employees_by_ids
Fetch employees by IDs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
buildops-master-data_fetch_sso_status
Get SSO status for employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | string[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"body"
]
}
buildops-master-data_find_by_user_name
Find employee by username Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
userName | string | Yes | — | User Name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"userName": {
"type": "string",
"description": "User Name"
}
},
"required": [
"PCID",
"userName"
]
}
buildops-master-data_get_employees_paginated
List of Employees Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | integer | No | — | Page number for pagination |
limit | integer | No | — | Maximum number of results to return |
sortBy | string | No | — | Sort By |
sortOrder | string | No | — | Sort Order |
filters | object[] | No | — | The filters value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "integer",
"description": "Page number for pagination"
},
"limit": {
"type": "integer",
"description": "Maximum number of results to return"
},
"sortBy": {
"type": "string",
"description": "Sort By"
},
"sortOrder": {
"type": "string",
"description": "Sort Order"
},
"filters": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"STATUS",
"IS_ACTIVE"
],
"description": "The type value"
},
"value": {
"type": "string",
"description": "The value value"
}
}
},
"description": "The filters value"
}
},
"required": [
"PCID"
]
}
buildops-master-data_get_v1_addresses
Get Addresses List by TenantId Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | number | No | — | Page number for pagination |
page_size | integer | No | — | Number of items per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "number",
"description": "Page number for pagination"
},
"page_size": {
"type": "integer",
"description": "Number of items per page"
}
},
"required": [
"PCID"
]
}
buildops-master-data_get_v1_addresses_id
Get Address by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Address ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Address ID"
}
},
"required": [
"PCID",
"id"
]
}
buildops-master-data_get_v1_customers
Get Customers List Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | number | No | — | Page number for pagination |
limit | integer | No | — | Number of items per page |
include_inactive | string | No | — | if true the list will return all customers including inactive ones |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "number",
"description": "Page number for pagination"
},
"limit": {
"type": "integer",
"description": "Number of items per page"
},
"include_inactive": {
"type": "string",
"description": "if true the list will return all customers including inactive ones"
}
},
"required": [
"PCID"
]
}
buildops-master-data_get_v1_customers_id
Get Customer by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Customer ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Customer ID"
}
},
"required": [
"PCID",
"id"
]
}
buildops-master-data_get_v1_customers_id_properties
Get Properties List by customerId Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | number | No | — | Page number for pagination |
page_size | integer | No | — | Number of items per page |
include_inactive | boolean | No | — | Include inactive records in results |
id | string | Yes | — | Customer ID |
include_addresses | boolean | No | — | Allows to return properties with his addresses. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "number",
"description": "Page number for pagination"
},
"page_size": {
"type": "integer",
"description": "Number of items per page"
},
"include_inactive": {
"type": "boolean",
"description": "Include inactive records in results"
},
"id": {
"type": "string",
"description": "Customer ID"
},
"include_addresses": {
"type": "boolean",
"description": "Allows to return properties with his addresses."
}
},
"required": [
"PCID",
"id"
]
}
buildops-master-data_get_v1_employees
Get Employees List Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | number | No | — | Page number for pagination |
page_size | integer | No | — | Number of items per page |
include_inactive | boolean | No | — | Include inactive records in results |
name | string | No | — | Employee Name |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "number",
"description": "Page number for pagination"
},
"page_size": {
"type": "integer",
"description": "Number of items per page"
},
"include_inactive": {
"type": "boolean",
"description": "Include inactive records in results"
},
"name": {
"type": "string",
"description": "Employee Name"
}
},
"required": [
"PCID"
]
}
buildops-master-data_get_v1_employees_employee_id
Get Employee by Employee ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
employeeId | string | Yes | — | Employee ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"employeeId": {
"type": "string",
"description": "Employee ID"
}
},
"required": [
"PCID",
"employeeId"
]
}
buildops-master-data_get_v1_settings_custom_fields_customer_tags
Get Customer Tags by TenantId Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
page | number | No | — | Page number for pagination |
page_size | integer | No | — | Number of items per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"page": {
"type": "number",
"description": "Page number for pagination"
},
"page_size": {
"type": "integer",
"description": "Number of items per page"
}
},
"required": [
"PCID"
]
}
buildops-master-data_post_v1_customers
Create a customer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
accountingAttributes | object | No | — | Accounting Attributes |
accountNumber | string | No | — | Account Number |
addresses | object[] | No | — | The addresses value |
creditLimit | number | No | — | Credit Limit |
customerNumber | string | No | — | Customer Number |
customerType | string | No | — | Customer Type |
email | string | No | — | The email value |
invoiceDeliveryPref | string | No | — | Invoice Delivery Pref |
invoicePresetId | string | No | — | Invoice Preset Id |
isActive | boolean | No | — | Is Active |
isTaxable | boolean | No | — | Is Taxable |
name | string | Yes | — | The name value |
paymentTermId | string | No | — | Payment Term Id |
phoneAlternate | string | No | — | Phone Alternate |
phonePrimary | string | No | — | Phone Primary |
priceBookId | string | No | — | Price Book Id |
receiveSMS | boolean | No | — | Receive SMS |
sameAddress | boolean | No | — | Same Address |
status | string | No | — | The status value |
taxCodeId | string | No | — | Tax Code Id |
taxExemptIdValue | string | No | — | Tax Exempt Id Value |
taxRateId | string | No | — | Tax Rate Id |
taxRateValue | number | No | — | Tax Rate Value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"accountingAttributes": {
"type": "object",
"description": "Accounting Attributes",
"properties": {
"accountingRefId": {
"type": "string",
"description": "Accounting Ref Id"
},
"accountingVersion": {
"type": "string",
"description": "Accounting Version"
}
}
},
"accountNumber": {
"type": "string",
"description": "Account Number"
},
"addresses": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"description": "The id value"
},
"billTo": {
"type": "string",
"description": "Bill To"
},
"shipTo": {
"type": "string",
"description": "Ship To"
},
"addressType": {
"type": "string",
"enum": [
"billingAddress",
"businessAddress",
"propertyAddress",
"shippingAddress"
],
"description": "Address Type"
},
"addressLine1": {
"type": "string",
"description": "Address Line1"
},
"addressLine2": {
"type": "string",
"description": "Address Line2"
},
"city": {
"type": "string",
"description": "The city value"
},
"state": {
"type": "string",
"description": "The state value"
},
"zipcode": {
"type": "string",
"description": "The zipcode value"
},
"country": {
"type": "string",
"description": "The country value"
},
"latitude": {
"type": "string",
"description": "The latitude value"
},
"longitude": {
"type": "string",
"description": "The longitude value"
},
"status": {
"type": "string",
"description": "The status value"
},
"isActive": {
"type": "boolean",
"description": "Is Active"
},
"version": {
"type": "number",
"description": "The version value"
},
"propertyId": {
"type": "string",
"description": "Property Id"
},
"customerId": {
"type": "string",
"description": "Customer Id"
},
"audit": {
"type": "object",
"description": "The audit value"
}
},
"required": [
"addressType"
]
},
"description": "The addresses value"
},
"creditLimit": {
"type": "number",
"description": "Credit Limit"
},
"customerNumber": {
"type": "string",
"description": "Customer Number"
},
"customerType": {
"type": "string",
"description": "Customer Type"
},
"email": {
"type": "string",
"description": "The email value"
},
"invoiceDeliveryPref": {
"type": "string",
"description": "Invoice Delivery Pref"
},
"invoicePresetId": {
"type": "string",
"description": "Invoice Preset Id"
},
"isActive": {
"type": "boolean",
"description": "Is Active"
},
"isTaxable": {
"type": "boolean",
"description": "Is Taxable"
},
"name": {
"type": "string",
"description": "The name value"
},
"paymentTermId": {
"type": "string",
"description": "Payment Term Id"
},
"phoneAlternate": {
"type": "string",
"description": "Phone Alternate"
},
"phonePrimary": {
"type": "string",
"description": "Phone Primary"
},
"priceBookId": {
"type": "string",
"description": "Price Book Id"
},
"receiveSMS": {
"type": "boolean",
"description": "Receive SMS"
},
"sameAddress": {
"type": "boolean",
"description": "Same Address"
},
"status": {
"type": "string",
"description": "The status value",
"enum": [
"active",
"inactive",
"disabled"
]
},
"taxCodeId": {
"type": "string",
"description": "Tax Code Id"
},
"taxExemptIdValue": {
"type": "string",
"description": "Tax Exempt Id Value"
},
"taxRateId": {
"type": "string",
"description": "Tax Rate Id"
},
"taxRateValue": {
"type": "number",
"description": "Tax Rate Value"
}
},
"required": [
"PCID",
"name"
]
}
buildops-master-data_post_v1_customers_id_tags
Associate Customer Tag to a Customer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Customer ID |
body | string[] | No | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Customer ID"
},
"body": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Request body"
}
},
"required": [
"PCID",
"id"
]
}
buildops-master-data_put_v1_addresses
Update Address By Address ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Address ID |
addressLine1 | string | No | — | Address Line1 |
addressLine2 | string | No | — | Address Line2 |
addressType | object | No | — | Address Type |
billTo | string | No | — | Bill To |
city | string | No | — | The city value |
country | string | No | — | The country value |
isActive | boolean | No | — | Is Active |
latitude | string | No | — | The latitude value |
longitude | string | No | — | The longitude value |
shipTo | string | No | — | Ship To |
state | string | No | — | The state value |
status | string | No | — | The status value |
version | number | No | — | The version value |
zipcode | string | No | — | The zipcode value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Address ID"
},
"addressLine1": {
"type": "string",
"description": "Address Line1"
},
"addressLine2": {
"type": "string",
"description": "Address Line2"
},
"addressType": {
"description": "Address Type",
"enum": [
"billingAddress",
"propertyAddress",
"businessAddress",
"shippingAddress"
]
},
"billTo": {
"type": "string",
"description": "Bill To"
},
"city": {
"type": "string",
"description": "The city value"
},
"country": {
"type": "string",
"description": "The country value"
},
"isActive": {
"type": "boolean",
"description": "Is Active"
},
"latitude": {
"type": "string",
"description": "The latitude value"
},
"longitude": {
"type": "string",
"description": "The longitude value"
},
"shipTo": {
"type": "string",
"description": "Ship To"
},
"state": {
"type": "string",
"description": "The state value"
},
"status": {
"type": "string",
"description": "The status value"
},
"version": {
"type": "number",
"description": "The version value"
},
"zipcode": {
"type": "string",
"description": "The zipcode value"
}
},
"required": [
"PCID",
"id"
]
}
buildops-master-data_put_v1_customers_id
Update a Customer by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Customer ID |
accountingAttributes | object | No | — | Accounting Attributes |
accountNumber | string | No | — | Account Number |
creditLimit | number | No | — | Credit Limit |
customerNumber | string | No | — | Customer Number |
customerType | string | No | — | Customer Type |
customerTypeValue | string | No | — | Deprecated: use customerType instead |
email | string | No | — | The email value |
invoiceDeliveryPref | string | No | — | Invoice Delivery Pref |
invoicePresetId | string | No | — | Invoice Preset Id |
isActive | boolean | No | — | Is Active |
isTaxable | boolean | No | — | Is Taxable |
name | string | No | — | The name value |
paymentTermId | string | No | — | Payment Term Id |
phoneAlternate | string | No | — | Phone Alternate |
phonePrimary | string | No | — | Phone Primary |
priceBookId | string | No | — | Price Book Id |
receiveSMS | boolean | No | — | Receive SMS |
sameAddress | boolean | No | — | Same Address |
status | string | No | — | The status value |
taxCodeId | string | No | — | Tax Code Id |
taxExemptIdValue | string | No | — | Tax Exempt Id Value |
taxRateId | string | No | — | Tax Rate Id |
taxRateValue | number | No | — | Tax Rate Value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "Customer ID"
},
"accountingAttributes": {
"type": "object",
"description": "Accounting Attributes",
"properties": {
"accountingRefId": {
"type": "string",
"description": "Accounting Ref Id"
},
"accountingVersion": {
"type": "string",
"description": "Accounting Version"
}
}
},
"accountNumber": {
"type": "string",
"description": "Account Number"
},
"creditLimit": {
"type": "number",
"description": "Credit Limit"
},
"customerNumber": {
"type": "string",
"description": "Customer Number"
},
"customerType": {
"type": "string",
"description": "Customer Type"
},
"customerTypeValue": {
"type": "string",
"description": "Deprecated: use customerType instead"
},
"email": {
"type": "string",
"description": "The email value"
},
"invoiceDeliveryPref": {
"type": "string",
"description": "Invoice Delivery Pref"
},
"invoicePresetId": {
"type": "string",
"description": "Invoice Preset Id"
},
"isActive": {
"type": "boolean",
"description": "Is Active"
},
"isTaxable": {
"type": "boolean",
"description": "Is Taxable"
},
"name": {
"type": "string",
"description": "The name value"
},
"paymentTermId": {
"type": "string",
"description": "Payment Term Id"
},
"phoneAlternate": {
"type": "string",
"description": "Phone Alternate"
},
"phonePrimary": {
"type": "string",
"description": "Phone Primary"
},
"priceBookId": {
"type": "string",
"description": "Price Book Id"
},
"receiveSMS": {
"type": "boolean",
"description": "Receive SMS"
},
"sameAddress": {
"type": "boolean",
"description": "Same Address"
},
"status": {
"type": "string",
"description": "The status value",
"enum": [
"active",
"inactive",
"disabled"
]
},
"taxCodeId": {
"type": "string",
"description": "Tax Code Id"
},
"taxExemptIdValue": {
"type": "string",
"description": "Tax Exempt Id Value"
},
"taxRateId": {
"type": "string",
"description": "Tax Rate Id"
},
"taxRateValue": {
"type": "number",
"description": "Tax Rate Value"
}
},
"required": [
"PCID",
"id"
]
}
buildops-master-data_update_my_password
Update my password Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
newPassword | string | Yes | — | New Password |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"newPassword": {
"type": "string",
"description": "New Password"
}
},
"required": [
"PCID",
"newPassword"
]
}

